GrailsLayoutViewResolverPostProcessor (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.plugins.web

## [Groovy] Class GrailsLayoutViewResolverPostProcessor

- org.grails.plugins.web.GrailsLayoutViewResolverPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor, org.springframework.core.Ordered

      class GrailsLayoutViewResolverPostProcessor
      extends java.lang.Object

  This BeanDefinitionRegistryPostProcessor replaces the existing jspViewResolver bean with GrailsLayoutViewResolver and moves the previous jspViewResolver bean configuration as an inner bean of GrailsLayoutViewResolver to be used as the innerViewResolver of it. Scaffolding plugin replaces jspViewResolver with it's own implementation and this solution makes it easier to customize the inner view resolver.

  Authors:
    Lari Hotari
  See Also:
    GrailsLayoutViewResolver
  Since:
    2.4.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `enabled`
    `java.lang.String` | `layoutViewResolverBeanParentName`
    `java.lang.Class<?>` | `layoutViewResolverClass`
    `boolean` | `markBeanPrimary`
    `int` | `order`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `` | `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean enabled

    - #### java.lang.String layoutViewResolverBeanParentName

    - #### java.lang.Class<?> layoutViewResolverClass

    - #### boolean markBeanPrimary

    - #### int order

  - ### Method Detail

    - #### @java.lang.Override void postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

    - #### @java.lang.Override void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)